package com.starbuds.server.api.agent.common.pojo.admin;

import com.starbuds.server.common.pojo.user.UserProfile;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/27 16:14
 * @Description 主播
 */
@Data
public class AnchorVO implements Serializable {

    /**
     * 用户id
     */
    private Long userId;
    /**
     * 姓名
     */
    private String userName;
    /**
     * 认证时间
     */
    private Long anchorAuthTime;
    /**
     * 直播状态
     */
    private Integer liveStatus;
    /**
     * 推流状态
     */
    private Integer streamStatus;
    /**
     * 直播标题
     */
    private String liveTitle;
    /**
     * 直播封面
     */
    private String liveCover;

    /**
     * 直播分类名称
     */
    private String categoryName;

    /**
     * 头像
     */
    private String userAvatar;

    /**
     * 直播间分类id
     */
    private Long categoryId;
    /**
     * 区域id
     */
    private Integer areaId;
    /**
     * 经度
     */
    private Double longitude;
    /**
     * 纬度
     */
    private Double latitude;
    /**
     * 直播间房间id
     */
    private String liveChatRoomId;
    /**
     * 粉丝团名称
     */
    private String fansName;

    /**
     * 个人资料
     */
    private UserProfile userProfile;

    /**
     * 手机号
     */
    private String userPhone;

    /**
     * 性别
     */
    private Integer userSex;

    /**
     * 签名
     */
    private String userSign;

    /**
     * 注册时间
     */
    private Long userCreateTime;

    /**
     * 魅力等级
     */
    private Integer charmLevel;

    /**
     * 星芽号
     */
    private Long userNo;

    /**
     * 公会id
     */
    private Long agentId;

    /**
     * 粉丝数量
     */
    private Integer fansCount;

    /**
     * 是否禁播
     */
    private boolean isDisable;


    /**
     * 开始禁播时间
     */
    private Long disableTime;

    /**
     * 解禁时间
     */
    private Long enableTime;

    /**
     * 禁播理由
     */
    private String disableReason;

    /**
     * 禁播操作管理人员
     */
    private Long disableAdminId;

    /**
     * 禁播操作管理人员
     */
    private String disableAdminName;

    /**
     * 认证审核通过的管理人员
     */
    private Long authAdminId;

    /**
     * 认证审核通过的管理人员
     */
    private String authAdminName;

    /**
     * 颜值封面
     */
    private String userCover;

    private Long lastLiveTime;

    /**
     * 单聊权限
     */
    private Integer singleChatEnable;

    /**
     * 单聊视频
     */
    private String singleChatVideo;

    /**
     * 单聊价格类型
     */
    private Integer singleChatPriceType;

    /**
     * 单聊价格
     */
    private Long singleChatPrice;

    /**
     * 单聊状态
     */
    private Integer singleChatStatus;

    /**
     * 标题
     */
    private String singleChatTitle;

    /**
     * 单聊超时次数
     */
    private Integer singleChatTimeoutTimes;

    /**
     * 单聊接通次数
     */
    private Integer singleChatConnectTimes;

    /**
     * 视频单聊分钟数
     */
    private Long singleChatMinutes;

    /**
     * 单聊评分
     */
    private Long singleChatScore;

    /**
     * 单聊评价次数
     */
    private Integer singleChatEvaluateTimes;

    /**
     * 单聊分类
     */
    private Long singleChatCategoryId;

    /**
     * 单聊分类名称
     */
    private String singleChatCategoryName;

    /**
     * 启用单聊匹配
     */
    private Integer singleChatMatchEnable;
    /**
     * pk开关
     */
    private Integer battleEnable;
    /**
     * 是否在pk中
     */
    private Integer battling;
    /**
     * pk次数
     */
    private Integer battleTimes;
    /**
     * pk赢场次
     */
    private Integer battleWinTimes;
    /**
     * PK输场次
     */
    private Integer battleLossTimes;
    /**
     * PK打平次数
     */
    private Integer battleDrawTimes;
    /**
     * 魅力值
     */
    private Long charmValue;
    /**
     * 允许电商直播
     */
    private Integer sellEnable;

}
