package com.starbuds.server.api.agent.common.service.admin;

import com.starbuds.server.api.agent.common.pojo.admin.AgentBankcardVO;
import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.db.AgentBankcardDO;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/30 14:56
 * @Description 公会银行卡业务接口
 */
public interface AgAgentBankcardService {

    /**
     * 创建
     *
     * @param bankcardDO
     * @return
     */
    boolean createAgentBankcard(AgentBankcardDO bankcardDO);

    /**
     * 编辑
     *
     * @param bankcardDO
     * @return
     */
    boolean editAgentBankcard(AgentBankcardDO bankcardDO);

    /**
     * 禁用
     *
     * @param cardId
     * @return
     */
    boolean disableAgentBankcard(Long cardId);

    /**
     * 启用
     *
     * @param cardId
     * @return
     */
    boolean enableAgentBankcard(Long cardId);

    /**
     * 删除
     *
     * @param cardId
     * @return
     */
    boolean deleteAgentBankcard(Long cardId);

    /**
     * 判断是否存在
     *
     * @param cardId
     * @return
     */
    boolean isAgentBankcardExist(Long cardId);

    /**
     * 获取详情
     *
     * @param cardId
     * @return
     */
    AgentBankcardVO getAgentBankcardDetail(Long cardId);

    /**
     * 获取列表
     *
     * @return
     */
    PageList<AgentBankcardVO> getAgentBankcardPageList(Long agentId, String cardNo, Integer cardStatus, Integer cardType, int pageIndex, int pageSize);

    /**
     * 获取卡号类型
     *
     * @param cardId
     * @return
     */
    Integer getCardType(Long cardId);
}
