package com.starbuds.server.api.agent.common.service.admin;

import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.user.AgentAuditVO;
import com.starbuds.server.common.pojo.user.AgentVO;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/1/15 13:59
 * @Description 公会审核业务接口
 */
public interface AgAgentService {

    /**
     * 通过
     *
     * @param auditId
     * @param adminId
     * @param auditMsg
     * @param anchorRatio
     * @return
     */
    boolean passAudit(Long auditId, Long adminId, String auditMsg, Double anchorRatio);

    /**
     * 拒绝
     *
     * @param auditId
     * @param adminId
     * @param auditMsg
     * @return
     */
    boolean denyAudit(Long auditId, Long adminId, String auditMsg);

    /**
     * 是否存在
     *
     * @param auditId
     * @return
     */
    boolean isAuditExist(Long auditId);

    /**
     * 获取入会申请列表
     *
     * @param agentId
     * @param applyType
     * @param userId
     * @param auditStatus
     * @param userName
     * @param pageNum
     * @param pageSize
     * @return
     */
    PageList<AgentAuditVO> getAuditPageList(Long agentId, Integer applyType, Long userId, Integer auditStatus, String userName, int pageNum, int pageSize);

    /**
     * 获取公会详情
     *
     * @param agentId
     * @return
     */
    AgentVO getAgentDetail(Long agentId);


    /**
     * 公会是否存在
     *
     * @param agentId
     * @return
     */
    boolean isAgentExist(Long agentId);

    /**
     * 获取主播分成比例
     *
     * @param agentId
     * @return
     */
    Double getAnchorRatio(Long agentId);

    /**
     * 设置主播分成比例
     *
     * @param signId
     * @param ratio
     * @return
     */
    boolean setAnchorRatio(Long signId, Double ratio);

    /**
     * 判断是否签订
     *
     * @param signId
     * @return
     */
    boolean isSignExist(Long signId);

    /**
     * 获取状态
     *
     * @param auditId
     * @return
     */
    Integer getAuditStatus(Long auditId);
}
