package com.starbuds.server.api.agent.common.service.admin;

import com.starbuds.server.api.agent.common.pojo.admin.AgentWalletWithdrawHisVO;
import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.db.AgentWalletWithdrawHisDO;

import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/30 15:52
 * @Description 公会钱包提现记录业务接口
 */
public interface AgAgentWalletWithdrawHisService {

    /**
     * 创建提现申请
     *
     * @param walletWithdrawHisDO
     * @param hisRemarks
     * @return
     */
    BigDecimal addWithdrawApply(AgentWalletWithdrawHisDO walletWithdrawHisDO, String hisRemarks);

    /**
     * 获取公会钱包余额
     *
     * @param agentId
     * @return
     */
    BigDecimal getAmount(Long agentId);

    /**
     * 获取最近一次提现状态
     *
     * @param agentId
     * @return
     */
    Integer getApplyStatus(Long agentId);

    /**
     * 获取公会提现列表
     *
     * @param agentId
     * @param applyStatus
     * @param startTime
     * @param endTime
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageList<AgentWalletWithdrawHisVO> getAgentWithdrawHisPageList(Long agentId, Integer applyStatus, Long startTime, Long endTime, int pageIndex, int pageSize);
}
