package com.starbuds.server.api.agent.constant;

import com.starbuds.server.common.constant.common.GlobalApiError;
import com.starbuds.server.common.pojo.api.Result;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;

import javax.ws.rs.core.Response;

/**
 * HTTP 请求错误常量
 *
 * @author Lay
 * @date 2019-02-18
 */
public class HttpError {
    /**
     * 权限不足
     */
    public static final Response ACCESS_DENIED = Response.status(Response.Status.UNAUTHORIZED).entity(new Result(GlobalApiError.Unauthorized)).type(ContentType.APPLICATION_JSON_UTF_8).build();

    /**
     * 令牌失效
     */
    public static final Response TOKEN_INVALID = Response.status(Response.Status.OK).entity(new Result(GlobalApiError.TokenInvalid)).type(ContentType.APPLICATION_JSON_UTF_8).build();

    /**
     * 禁止访问
     */
    public static final Response ACCESS_FORBIDDEN = Response.status(Response.Status.FORBIDDEN).entity(new Result(GlobalApiError.Forbidden)).type(ContentType.APPLICATION_JSON_UTF_8).build();

    /**
     * 服务器错误
     */
    public static final Response SERVER_ERROR = Response.status(Response.Status.INTERNAL_SERVER_ERROR).entity(new Result(GlobalApiError.ServerError)).type(ContentType.APPLICATION_JSON_UTF_8).build();

    /**
     * 错误的请求
     */
    public static final Response BAD_REQUEST = Response.status(Response.Status.BAD_REQUEST).entity(new Result(GlobalApiError.BadRequest)).type(ContentType.APPLICATION_JSON_UTF_8).build();

    /**
     * 错误的请求方式
     */
    public static final Response METHOD_NOT_ALLOWED = Response.status(Response.Status.METHOD_NOT_ALLOWED).entity(new Result(GlobalApiError.MethodNotAllowed)).type(ContentType.APPLICATION_JSON_UTF_8).build();

    /**
     * 未找到
     */
    public static final Response NOT_FOUND = Response.status(Response.Status.NOT_FOUND).entity(new Result(GlobalApiError.NotFound)).type(ContentType.APPLICATION_JSON_UTF_8).build();
}
