package com.starbuds.server.api.agent.extension;

import com.starbuds.server.common.constant.common.GlobalApiError;
import com.starbuds.server.common.pojo.api.Result;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;
import org.jboss.resteasy.api.validation.ResteasyViolationException;
import org.springframework.stereotype.Component;

import javax.ws.rs.core.Response;
import javax.ws.rs.ext.ExceptionMapper;
import javax.ws.rs.ext.Provider;

/**
 * Validation Exception
 *
 * @author Lay
 * @date 2019-02-18
 */
@Component
@Provider
public class ValidationExceptionMapper implements ExceptionMapper<ResteasyViolationException> {
    @Override
    public Response toResponse(ResteasyViolationException ex) {
        return Response.status(Response.Status.OK).entity(new Result(GlobalApiError.BadRequest, ex.getConstraintViolations().iterator().next().getMessage())).type(ContentType.APPLICATION_JSON_UTF_8).build();
    }
}