package com.starbuds.server.api.agent.provider;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.annotation.JacksonStdImpl;
import lombok.extern.slf4j.Slf4j;

import java.io.IOException;
import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * Decimal 类型转换
 */
@JacksonStdImpl
@Slf4j
public class DecimalSerializer extends JsonSerializer<BigDecimal> {
    public static final DecimalSerializer instance = new DecimalSerializer();


    @Override
    public void serialize(BigDecimal o, JsonGenerator jsonGenerator, SerializerProvider serializerProvider) throws IOException {
        if (o == null) {
            o = BigDecimal.ZERO;
        }
        String s = o.toString();
        String num = BigDecimal.valueOf(Double.parseDouble(s)).setScale(2, RoundingMode.DOWN).stripTrailingZeros().toPlainString();
        jsonGenerator.writeString(num);
    }
}
