package com.starbuds.server.api.agent.provider;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.module.SimpleModule;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.extern.slf4j.Slf4j;

import javax.ws.rs.Consumes;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.ext.ContextResolver;
import javax.ws.rs.ext.Provider;
import java.math.BigDecimal;

/**
 * 序列化配置
 *
 * @author Lay
 * @date 2019-05-15
 */
@Provider
@Consumes({MediaType.APPLICATION_JSON, "text/json"})
@Produces({MediaType.APPLICATION_JSON, "text/json"})
@Slf4j
public class JacksonConfig implements ContextResolver<ObjectMapper> {
    private final ObjectMapper objectMapper;

    public JacksonConfig() {
        objectMapper = new ObjectMapper();
        SimpleModule sModule = new SimpleModule();
        sModule.addSerializer(Long.class, ToStringSerializer.instance);
        sModule.addSerializer(Long.TYPE, ToStringSerializer.instance);
        sModule.addSerializer(BigDecimal.class, DecimalSerializer.instance);
        objectMapper.registerModule(sModule);
    }

    @Override
    public ObjectMapper getContext(Class<?> objectType) {
        return objectMapper;
    }
}
