package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.common.pojo.db.AgentAnchorDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-15 14:12:01
 * @Description 主播公会签约表持久层
 */
@Mapper
@Repository
public interface AgentAnchorDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(AgentAnchorDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(AgentAnchorDO entity);

    /**
     * 根据主键查询
     *
     * @param signId
     * @return
     */
    AgentAnchorDO selectById(@Param("signId") Long signId);

    /**
     * 查询主播数量
     *
     * @param agentId
     * @return
     */
    int getAnchorCount(@Param("agentId") Long agentId);

    /**
     * 查询主播分成比例
     *
     * @param agentId
     * @param userId
     * @return
     */
    Double selectAnchorRatio(@Param("agentId") Long agentId, @Param("userId") Long userId);

    /**
     * 查询主播签订id
     *
     * @param agentId
     * @param userId
     * @return
     */
    Long selectSignId(@Param("agentId") Long agentId, @Param("userId") Long userId);

    /**
     * 设置分成比例
     *
     * @param signId
     * @param ratio
     * @return
     */
    int setAnchorRatio(@Param("signId") Long signId, @Param("ratio") Double ratio);

    /**
     * 判断签订id是否存在
     *
     * @param signId
     * @return
     */
    int countById(@Param("signId") Long signId);

    /**
     * 更新
     *
     * @param signId
     * @param status
     * @param endTime
     * @return
     */
    int updateStatusAndEndTime(@Param("signId") Long signId, @Param("status") Integer status, @Param("endTime") Long endTime);
}
