package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.common.pojo.db.AgentAuditDO;
import com.starbuds.server.common.pojo.user.AgentAuditVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-15 14:12:01
 * @Description 公会审核表持久层
 */
@Mapper
@Repository
public interface AgentAuditDAO {

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(AgentAuditDO entity);

    /**
     * 根据主键查询
     *
     * @param auditId
     * @return
     */
    AgentAuditDO selectById(@Param("auditId") Long auditId);


    /**
     * 查询是否存在
     *
     * @param auditId
     * @return
     */
    int countById(@Param("auditId") Long auditId);

    /**
     * 获取入会申请列表
     *
     * @param agentId
     * @param applyType
     * @param userId
     * @param auditStatus
     * @param userName
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<AgentAuditVO> getAuditPageList(@Param("agentId") Long agentId,
                                        @Param("applyType") Integer applyType,
                                        @Param("userId") Long userId,
                                        @Param("auditStatus") Integer auditStatus,
                                        @Param("userName") String userName,
                                        @Param("pageCursor") int pageCursor,
                                        @Param("pageSize") int pageSize);


    /**
     * 获取入会申请列表大小
     *
     * @param agentId
     * @param applyType
     * @param userId
     * @param auditStatus
     * @param userName
     * @return
     */
    int countAuditPageList(@Param("agentId") Long agentId,
                           @Param("applyType") Integer applyType,
                           @Param("userId") Long userId,
                           @Param("auditStatus") Integer auditStatus,
                           @Param("userName") String userName);

    /**
     * 获取审核状态
     *
     * @param auditId
     * @return
     */
    Integer selectAuditStatus(@Param("auditId") Long auditId);
}
