package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.api.agent.common.pojo.admin.AgentBankcardVO;
import com.starbuds.server.common.pojo.db.AgentBankcardDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-30 14:46:28
 * @Description 公会银行卡持久层
 */
@Mapper
@Repository
public interface AgentBankcardDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(AgentBankcardDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(AgentBankcardDO entity);

    /**
     * 判断是否存在
     *
     * @param cardId
     * @return
     */
    int countById(@Param("cardId") Long cardId);

    /**
     * 更新状态
     *
     * @param cardId
     * @param cardStatus
     * @return
     */
    int updateStatus(@Param("cardId") Long cardId, @Param("cardStatus") Integer cardStatus);

    /**
     * 获取详情
     *
     * @param cardId
     * @return
     */
    AgentBankcardVO getDetail(@Param("cardId") Long cardId);

    /**
     * 获取列表
     *
     * @param agentId
     * @param cardNo
     * @param cardStatus
     * @param cardType
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<AgentBankcardVO> getAgentBankcardPageList(@Param("agentId") Long agentId,
                                                   @Param("cardNo") String cardNo,
                                                   @Param("cardStatus") Integer cardStatus,
                                                   @Param("cardType") Integer cardType,
                                                   @Param("pageCursor") int pageCursor,
                                                   @Param("pageSize") int pageSize);

    /**
     * 获取列表大小
     *
     * @param agentId
     * @param cardNo
     * @param cardStatus
     * @param cardType
     * @return
     */
    int countAgentBankcardPageList(@Param("agentId") Long agentId,
                                   @Param("cardNo") String cardNo,
                                   @Param("cardStatus") Integer cardStatus,
                                   @Param("cardType") Integer cardType);

    /**
     * 获取卡号类型
     *
     * @param cardId
     * @return
     */
    Integer selectCardType(@Param("cardId") Long cardId);

    /**
     * 根据id查询
     *
     * @param cardId
     * @return
     */
    AgentBankcardVO selectById(@Param("cardId") Long cardId);
}
