package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.common.pojo.db.AgentDO;
import com.starbuds.server.common.pojo.user.AgentVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-15 14:12:01
 * @Description 公会持久层
 */
@Mapper
@Repository
public interface AgentDAO {

    /**
     * 根据主键查询
     *
     * @param agentId
     * @return
     */
    AgentDO selectById(@Param("agentId") Long agentId);


    /**
     * 获取公会详情
     *
     * @param agentId 公会id
     * @return 公会详情
     */
    AgentVO getAgentDetail(@Param("agentId") Long agentId);

    /**
     * 公会是否存在
     *
     * @param agentId
     * @return
     */
    int countById(@Param("agentId") Long agentId);

    /**
     * 查询主播分成比例
     *
     * @param agentId
     * @return
     */
    Double selectAnchorRatio(@Param("agentId") Long agentId);

    /**
     * 查询公会分成比例
     *
     * @param agentId
     * @return
     */
    Double selectAgentRatio(@Param("agentId") Long agentId);

    /**
     * 获取公会名称
     *
     * @param agentId
     * @return
     */
    String selectAgentName(@Param("agentId") Long agentId);
}
