package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.common.pojo.db.AgentWalletDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-30 15:39:50
 * @Description 工会钱包持久层
 */
@Mapper
@Repository
public interface AgentWalletDAO {

    /**
     * 获取公会余额
     *
     * @param agentId
     * @return
     */
    BigDecimal selectBalance(@Param("agentId") Long agentId);

    /**
     * 更新余额
     *
     * @param walletUpdate
     * @return
     */
    int updateBalanceCas(AgentWalletDO walletUpdate);

    /**
     * 根据id查询
     *
     * @param agentId
     * @return
     */
    AgentWalletDO selectById(@Param("agentId") Long agentId);

    /**
     * 新增
     *
     * @param agentWalletDO
     * @return
     */
    int insert(AgentWalletDO agentWalletDO);


}
