package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.api.agent.common.pojo.admin.AgentWalletWithdrawHisVO;
import com.starbuds.server.common.pojo.db.AgentWalletWithdrawHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-03-30 15:39:50
 * @Description 公会钱包提现记录持久层
 */
@Mapper
@Repository
public interface AgentWalletWithdrawHisDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(AgentWalletWithdrawHisDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(AgentWalletWithdrawHisDO entity);

    /**
     * 获取最近一次提现状态
     *
     * @param agentId
     * @return
     */
    Integer selectLastApplyStatus(@Param("agentId") Long agentId);

    /**
     * 获取列表
     *
     * @param agentId
     * @param applyStatus
     * @param startTime
     * @param endTime
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<AgentWalletWithdrawHisVO> getAgentWithdrawHisPageList(@Param("agentId") Long agentId,
                                                               @Param("applyStatus") Integer applyStatus,
                                                               @Param("startTime") Long startTime,
                                                               @Param("endTime") Long endTime,
                                                               @Param("pageCursor") int pageCursor,
                                                               @Param("pageSize") int pageSize);

    /**
     * 获取列表大小
     *
     * @param agentId
     * @param applyStatus
     * @param startTime
     * @param endTime
     * @return
     */
    int countAgentWithdrawHisPageList(@Param("agentId") Long agentId,
                                      @Param("applyStatus") Integer applyStatus,
                                      @Param("startTime") Long startTime,
                                      @Param("endTime") Long endTime);
}
