package com.starbuds.server.api.agent.service.admin.dao;

import com.starbuds.server.common.pojo.media.LiveHisVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/1/4 14:23
 * @Description 直播记录持久层
 */
@Mapper
@Repository
public interface LiveHisDAO {

    /**
     * 获取直播记录列表
     *
     * @param userId
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<LiveHisVO> getLiveHisPageList(@Param("userId") Long userId,
                                       @Param("pageCursor") int pageCursor,
                                       @Param("pageSize") int pageSize);

    /**
     * 获取直播记录列表大小
     *
     * @param userId
     * @return
     */
    int countLiveHisPageList(@Param("userId") Long userId);

}
