package com.starbuds.server.api.agent.service.admin.impl;

import com.starbuds.server.api.agent.common.pojo.admin.UserSingleChatTagVO;
import com.starbuds.server.api.agent.common.service.admin.AgUserSingleChatTagService;
import com.starbuds.server.api.agent.service.admin.dao.DataSingleChatEvaluateTagDAO;
import com.starbuds.server.api.agent.service.admin.dao.UserDAO;
import com.starbuds.server.api.agent.service.admin.dao.UserSingleChatTagDAO;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/4/23 16:35
 * @Description 用户单聊标签业务接口
 */
@Service
public class AgUserSingleChatTagServiceImpl implements AgUserSingleChatTagService {

    @Resource
    UserSingleChatTagDAO userSingleChatTagDAO;

    @Resource
    DataSingleChatEvaluateTagDAO dataSingleChatEvaluateTagDAO;

    @Resource
    UserDAO userDAO;

    @Override
    public List<UserSingleChatTagVO> getUserTagList(Long userId) {
        List<UserSingleChatTagVO> tagList = userSingleChatTagDAO.selectUserTagList(userId);
        if (!CollectionUtils.isEmpty(tagList)) {
            for (UserSingleChatTagVO tagVO : tagList) {
                tagVO.setTagName(dataSingleChatEvaluateTagDAO.selectTagName(tagVO.getTagId()));
                tagVO.setUserName(userDAO.selectUserName(tagVO.getUserId()));
            }
        }
        return tagList;
    }
}
