package com.starbuds.server.api.agent.v1.impl;

import com.starbuds.server.api.agent.common.service.admin.AgUserSingleChatTagService;
import com.starbuds.server.api.agent.v1.facade.UserFacade;
import com.starbuds.server.common.pojo.api.Result;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;

/**
 * 用户接口实现
 *
 * @author jiangxiaowei
 * @date 2020/1/15 19:07
 */
@Path("/v1/user")
@Produces(ContentType.APPLICATION_JSON_UTF_8)
@Component
@Slf4j
public class UserFacadeImpl extends BaseFacade implements UserFacade {

    @Resource
    AgUserSingleChatTagService agUserSingleChatTagService;

    /**
     * 获取用户标签
     *
     * @param userId
     * @return
     */
    @GET
    @Path("getUserTagList")
    @Override
    public Result getUserTagList(@QueryParam("userId") Long userId) {
        return new Result(agUserSingleChatTagService.getUserTagList(userId));
    }

}
